#
# spec file for package lxde-common-branding-openSUSE
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           lxde-common-branding-openSUSE
Version:        11.4
Release:        16.3.1
License:        GPLv2
Source0:        lxde-common-0.5.0.tar.bz2
Source1:        suse.png
Source2:        suse-logout.png
Patch0:         lxde-common-startlxde.diff
Patch1:         lxde-common-lxpanel.diff
Patch2:         lxde-common-0.5.0-pcmanfm2.patch
Patch3:         lxde-logout.patch
Patch4:         lxde-common-0.5-openbox-menu.patch
Patch5:         lxde-common-openbox-shortcut.patch
Patch6:         lxde-common-0.5.0-pcmanfm-default.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf automake intltool update-desktop-files
BuildRequires:  docbook-utils docbook-xsl-stylesheets fdupes libxslt
Group:          System/GUI/LXDE
Url:            http://www.opensuse.org
Summary:        OpenSUSE branding
BuildArch:      noarch
Provides:       lxde-common-branding = %{version}
Conflicts:      otherproviders(lxde-common-branding)
Supplements:    packageand(lxde-common:branding-openSUSE)
Requires:       desktop-data-openSUSE

%description
This branding-style package sets openSUSE style improvments into LXDE.
You should always prefer branding-openSUSE packages to branding-upstream.

%prep
%setup -q -n lxde-common-0.5.0
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
# keep enable-man even if not needed or make will fail
%configure --enable-man
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
mkdir -p %buildroot/usr/share/applications
install -c -m 644 lxde-logout.desktop %buildroot/%_datadir/applications/lxde-logout.desktop
%__cp %SOURCE1 %buildroot/%_datadir/lxde/images/
%__cp %SOURCE2 %buildroot/%_datadir/lxde/images/
#delete not branding files
%__rm -rf %buildroot/%_datadir/applications
%__rm -rf %buildroot/%_datadir/xsessions
%fdupes -s %{buildroot}

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
%_bindir/lxde-logout
%dir %_datadir/lxde/pcmanfm
%_datadir/lxde/pcmanfm/pcmanfm.conf
%dir %_datadir/lxde/openbox
%_datadir/lxde/openbox/*.xml
%dir %_datadir/lxpanel
%dir %_datadir/lxpanel/profile
%dir %_datadir/lxpanel/profile/LXDE
%_datadir/lxpanel/profile/LXDE/config
%dir %_datadir/lxpanel/profile/LXDE/panels
%_datadir/lxpanel/profile/LXDE/panels/panel
%dir %_datadir/lxde
%dir %_datadir/lxde/images
%_datadir/lxde/images/logout-banner.png
%_datadir/lxde/images/lxde-icon.png
%_datadir/lxde/images/suse-logout.png
%_datadir/lxde/images/suse.png
%dir %_sysconfdir/xdg/lxsession
%dir %_sysconfdir/xdg/lxsession/LXDE
%config %_sysconfdir/xdg/lxsession/LXDE/autostart
%config %_sysconfdir/xdg/lxsession/LXDE/desktop.conf
#exclude non branding files
%exclude %_bindir/openbox-lxde
%exclude  %_bindir/startlxde
%exclude  %_datadir/lxde/wallpapers
%exclude %_datadir/lxde/wallpapers/*.jpg
%exclude %_datadir/man/man1/*

%changelog
* Sun Jul 10 2011 andrea@opensuse.org
- removed useless pkgconfig and gtk2-devel buildrequires
- fixed license tag
* Wed Mar 23 2011 andrea@opensuse.org
- fixed log-out image, 11.4 branding is complete
* Mon Mar 21 2011 andrea@opensuse.org
- fixed firefox link on default panel .desktop file
* Sun Nov 21 2010 andrea@opensuse.org
- Improved startlxde script to fix black background of first login
* Wed Nov  3 2010 andrea@opensuse.org
- Fixed startlxde script to copy pcmanfm.conf in the proper
  location bnc#651089
* Mon Jun  7 2010 andrea@opensuse.org
- changed RPM Group to System/GUI/LXDE
* Sun May 30 2010 andrea@opensuse.org
- updated suse-logout.png to fit 11.3 branding
* Tue May 18 2010 andrea@opensuse.org
- Fixed pipemenu conf file to provide pcmanfm 0.9.x compatibility
- Sync pcmanfm new conf file
* Mon May 17 2010 guido+opensuse.org@berhoerster.name
- adapt to new openbox-pipemenu
* Tue May 11 2010 guido+opensuse.org@berhoerster.name
- offer the complete applications menu by default
* Fri Mar 26 2010 andrea@opensuse.org
- modified lxde-common-startlxde.diff patch to fix bnc#591407
* Tue Mar 23 2010 andrea@opensuse.org
- added "print" keybind on openbox configuration
* Mon Mar  1 2010 andrea@opensuse.org
- added lxde-common-0.5.0-pcmanfm2.patch to switch to pcmanfm2
- moved pcmanfm-default.diff to
  lxde-common-0.5.0-pcmanfm-default.patch
- bump version to 11.3
* Tue Feb  9 2010 andrea@opensuse.org
- lxsession export dbus information now, gnome-keyring now work
  out of the box. Fixed bnc#564703
* Thu Dec 24 2009 andrea@opensuse.org
- spec file cleanup
* Wed Dec 23 2009 andrea@opensuse.org
- added workaround to bnc#564703
* Wed Dec 16 2009 andrea@opensuse.org
-  openSUSE 11.2 Branding complete
* Tue Dec 15 2009 andrea@opensuse.org
- changed some openbox keyboard shortcuts to make
  user life easier
* Fri Dec 11 2009 andrea@opensuse.org
- branding rebuilt on new lxde-common package
* Wed Dec  9 2009 andrea@opensuse.org
- removed battery applet, it make the panel crash
- removed volume applt, use gmixer now (much more powerful)
* Fri Jul 17 2009 andrea@opensuse.org
- new package
